Subject: Re: [bug#34165] [PATCH] gnu: bitcoin-core: Make bitcoin-qt deterministic.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 27 Jan 2019 23:39:07 +0100

Efraim Flashner <[email-masked]> skribis:

> On Wed, Jan 23, 2019 at 03:41:43PM +0100, Ricardo Wurmus wrote:
>> 
>> 
>> This is a bit unfortunate.  It seems to me that the original intent of
>> the patch was to support SOURCE_DATE_EPOCH as the commit message
>> mentions that variable’s specification.  Pity that it is now a custom Qt
>> variable.
>> 
>
> We could just add it in to the gnu-build-system and set the variable in
> all events. Or patch qt/qtbase to accept SOURCE_DATE_EPOCH in place of
> their own variable.

Either way is fine with me.  Adding it to the ‘set-SOURCE-DATE-EPOCH’
phase in ‘core-updates’ would be reasonable IMO.

Ludo’.